Search groups with a request body
curl --request POST \
--url https://{region}.api.plerion.com/v1/organization/scim/v2/Groups/.search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/scim+json' \
--data '
{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:SearchRequest"
],
"filter": "<string>",
"sortBy": "<string>",
"startIndex": 2,
"count": 500,
"attributes": [
"<string>"
],
"excludedAttributes": [
"<string>"
]
}
'import requests
url = "https://{region}.api.plerion.com/v1/organization/scim/v2/Groups/.search"
payload = {
"schemas": ["urn:ietf:params:scim:api:messages:2.0:SearchRequest"],
"filter": "<string>",
"sortBy": "<string>",
"startIndex": 2,
"count": 500,
"attributes": ["<string>"],
"excludedAttributes": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/scim+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/scim+json'},
body: JSON.stringify({
schemas: ['urn:ietf:params:scim:api:messages:2.0:SearchRequest'],
filter: '<string>',
sortBy: '<string>',
startIndex: 2,
count: 500,
attributes: ['<string>'],
excludedAttributes: ['<string>']
})
};
fetch('https://{region}.api.plerion.com/v1/organization/scim/v2/Groups/.search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:ListResponse"
],
"totalResults": 123,
"startIndex": 123,
"itemsPerPage": 123,
"Resources": [
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:Group"
],
"displayName": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalId": "<string>",
"members": [
{
"value": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<unknown>",
"format": "<unknown>",
"readOnly": "<unknown>",
"display": "<string>"
}
],
"meta": {
"resourceType": "User",
"created": "2023-11-07T05:31:56Z",
"lastModified": "2023-11-07T05:31:56Z",
"version": "<string>",
"location": "<string>"
}
}
]
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"status": "409",
"scimType": "invalidSyntax",
"detail": "A user with this userName already exists."
}{
"message": "Unauthorized"
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"status": "409",
"scimType": "invalidSyntax",
"detail": "A user with this userName already exists."
}The same filtering as the list endpoint, with the parameters in the body. Works with a read key.
POST
/
v1
/
organization
/
scim
/
v2
/
Groups
/
.search
Search groups with a request body
Authorizations
Plerion organization API key (plerion_oak_…), created by an organization admin in the Plerion console. Write operations require a key with readWrite access level; GET and .search work with read access level.
Body
application/scim+jsonapplication/json
RFC 7644 §3.4.3 search request.
Allowed value:
"urn:ietf:params:scim:api:messages:2.0:SearchRequest"Available options:
ascending, descending Required range:
x >= 1Required range:
0 <= x <= 1000Was this page helpful?